Package wx :: Class SetCursorEvent

[frames | no frames]

## Type SetCursorEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
                    SetCursorEvent

A SetCursorEvent is generated when the mouse cursor is about to be set as a result of mouse motion. This event gives the application the chance to perform specific mouse cursor processing based on the current position of the mouse within the window. Use the `SetCursor` method to specify the cursor you want to be displayed.

Method Summary
SetCursorEvent | ``__init__`(self, x, y)` Construct a new `wx.SetCursorEvent`.
Cursor | ``GetCursor`(self)` Returns a reference to the cursor specified by this event.
int | ``GetX`(self)` Returns the X coordinate of the mouse in client coordinates.
int | ``GetY`(self)` Returns the Y coordinate of the mouse in client coordinates.
bool | ``HasCursor`(self)` Returns true if the cursor specified by this event is a valid cursor.
| ``SetCursor`(self, cursor)` Sets the cursor associated with this event.

Property Summary
| `Cursor`: See `GetCursor` and `SetCursor`
| `thisown`: The membership flag
| `X`: See `GetX`
| `Y`: See `GetY`

Method Details

### __init__(self, x=0, y=0)
(Constructor)

Construct a new `wx.SetCursorEvent`.

  Parameters:
    `x`
    (type=int)

    `y`
    (type=int)

  Returns:
    SetCursorEvent
  Overrides:
    `wx.Event.__init__`

### GetCursor(self)

Returns a reference to the cursor specified by this event.

  Returns:
    Cursor

### GetX(self)

Returns the X coordinate of the mouse in client coordinates.

  Returns:
    int

### GetY(self)

Returns the Y coordinate of the mouse in client coordinates.

  Returns:
    int

### HasCursor(self)

Returns true if the cursor specified by this event is a valid cursor.

  Returns:
    bool

### SetCursor(self, cursor)

Sets the cursor associated with this event.

  Parameters:
    `cursor`
    (type=Cursor)

Property Details

### Cursor

See `GetCursor` and `SetCursor`

  Get Method:
    `GetCursor`(self)
  Set Method:
    `SetCursor`(self, cursor)

### thisown

The membership flag

### X

See `GetX`

  Get Method:
    `GetX`(self)

### Y

See `GetY`

  Get Method:
    `GetY`(self)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:14:02 2007 | http://epydoc.sf.net